Window_ItemListBack.prototype.setItem = function(item) {
  // Clear Rect
  this.contents.clearRect(0, 0, this.contents.width, 28);
  // If Item
    if (DataManager.isItem(item)) {
    // Set Bitmap Font color to null
    this.contents.bitmapFontColor = null;
    // Draw Item Count
        this.contents.drawText(LanguageManager.getMessageData("XX_BLUE.Omori_Battle_System").hold.format($gameParty.battleNumItems(item)), 6, 2, 100, 20);
        if ((item.itypeId === 1 && !item.note.match(/<Is Toy>/i)) || item.id == 113 || item.id == 114) {
            this.contents.drawText('EFFECT:', 0, 2, this.contents.width - 148, 20, 'right');
            // Set Default HP Bonus
            var hpBonus = 'N\\A'
            if (item.damage.type == 3) {
                // Get Effect
                var hpEffect = item.damage.formula;
                var hpValue = hpEffect.replace(/\D/g, '');
                // Set HP Bonus
                hpBonus = hpValue;
            };

            // Set Default MP Bonus
            var mpBonus = 'N\\A'
            if (item.damage.type == 4) {
                // Get Effect
                var mpEffect = item.damage.formula;
                var mpValue = mpEffect.replace(/\D/g, '');
                // Set HP Bonus
                mpBonus = mpValue;
            };
            switch (item.id) {
                case 29:
				case 39:
                case 92:
                    hpBonus = 100;
                    break;
                case 35:
                    hpBonus = 100;
                    mpBonus = 100;
                    mpEffect = ".";
                    break;
                    break;
                case 36:
                    hpBonus = 100;
                    mpBonus = 50;
                    hpEffect = "";
                    break;
                case 37:
                    hpBonus = 250;
                    mpBonus = 100;
                    hpEffect = "";
                    break;
                case 63:
                case 64:
                    mpBonus = 100;
                    mpEffect = ".";
                    break;
                case 68:
                    hpBonus = "-30%";
                    mpBonus = 30;
                    mpEffect = "";
                    mpEffect = ".";
                    break;
                case 69:
                    hpBonus = "-50%";
                    mpBonus = 10;
                    mpEffect = "";
                    mpEffect = ".";
                    break;
                case 89:
                    if ($gameActors.actor(1).isStateAffected(198) || $gameActors.actor(2).isStateAffected(198) || $gameActors.actor(3).isStateAffected(198) || $gameActors.actor(4).isStateAffected(198)) {
                        hpBonus = 100;
                    } else {
                        hpBonus = 50;
                    }
                    hpEffect = ".";
                    break;
                case 91:
                    hpBonus = "10% MP";
                    hpEffect = "";
                    break;
                case 96:
                    hpBonus = 25;
                    break;
                case 101:
                    hpBonus = 2;
                    hpEffect = "";
                    break;
                case 102:
                    hpBonus = 1;
                    hpEffect = "";
                    break;
                case 103:
                case 104:
                case 105:
                    hpBonus = 3;
                    hpEffect = "";
                    break;
                case 106:
                case 107:
                case 108:
                    hpBonus = 5;
                    hpEffect = "";
                    break;
                case 109:
                case 110:
                    hpBonus = 10;
                    hpEffect = "";
                    break;
                case 112:
                    hpBonus = 15;
                    hpEffect = "";
                    break;
                case 115:
                    hpBonus = 4;
                    hpEffect = "";
                    break;
                case 120:
                case 121:
                    mpBonus = 3;
                    mpEffect = "";
                    break;
                case 122:
                case 123:
                    mpBonus = 5;
                    mpEffect = "";
                    break;
                case 124:
                    mpBonus = 1;
                    mpEffect = "";
                    break;
            }

            if (item.damage.elementId == 7 && $gameActors.actor(4).isStateAffected(43)) { hpBonus = Math.floor(hpBonus* 1.5) }
            if ((item.damage.elementId == 8 || item.id == 36 || item.id == 37) && $gameActors.actor(4).isStateAffected(44)) { mpBonus = Math.floor(mpBonus * 1.5) }

            // Set Color
            /*  if (hpBonus != 'N\\A') {
              // Set HP Bonus Value
             this.contents.bitmapFontColor = BitmapFontManager.hexToRGB(this.powerUpColor());
            } else if (hpBonus < 0) {
             this.contents.bitmapFontColor = BitmapFontManager.hexToRGB(this.powerDownColor());
            };*/

            if (hpEffect != undefined) { if (hpEffect.includes(".")) { hpBonus = hpBonus + "%" }; }
            if (mpEffect != undefined) { if (mpEffect.includes(".")) { mpBonus = mpBonus + "%" }; }
            this.contents.drawText(hpBonus, this.contents.width - 119, 2, 42, 20, 'center');

            // Set Bitmap Font color to null
            this.contents.bitmapFontColor = null;
            /*if (mpValue > 0) {
              // Adjust MP Bonus
              mpBonus = '+' + mpBonus;
              this.contents.bitmapFontColor = BitmapFontManager.hexToRGB(this.powerUpColor());
            } else if (mpBonus < 0) {
             this.contents.bitmapFontColor = BitmapFontManager.hexToRGB(this.powerDownColor());
            };*/
            this.contents.drawText(mpBonus, this.contents.width - 49, 2, 42, 20, 'center');
            // Draw Icons
            this.drawHPIcon(this.contents.width - 137, 6);
            this.drawMPIcon(this.contents.width - 70, 6);
        }
  };
  // If Skill
  if (DataManager.isSkill(item)) {
    // Set Bitmap Font color to null
    this.contents.bitmapFontColor = null;
    this.contents.drawText(LanguageManager.getMessageData("XX_BLUE.Omori_Battle_System").cost, 6, 2, 100, 20);
    this.contents.drawText(this._actor.skillMpCost(item), 0, 2, 95, 20, 'right');
    this.drawMPIcon(100, 6);
  };
};